# Type Alias ApplicationAfterFunction<Ref>

ApplicationAfterFunction: (
app: Ref,
config: ConfigService,
logger: NGXLogger,
) => any | Promise<any>

#### Type Parameters

- Ref extends RefWithInjector

#### Type declaration

- - (app: Ref, config: ConfigService, logger: NGXLogger): any | Promise<any>

  - #### Parameters

    - app: Ref
    - config: ConfigService
    - logger: NGXLogger

    #### Returns any | Promise<any>

- Defined in application.ts:27